.catalog {
  background-color: var(--grey);
  padding-bottom: 3rem;
}
.catalog__title {
  font-size: 1rem;
  line-height: 150%;
  font-weight: 600;
  margin: 0 0 1.5rem 0;
}
.catalog__count {
  color: var(--grey-2);
  font-weight: 400;
  margin-left: 0.375rem;
}
.catalog__download {
  padding: 0.4375rem 1.3125rem;
  border-radius: 0.75rem;
  background-color: var(--white);
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 0.625rem;
  color: var(--black);
  text-decoration: none;
  transition: var(--transition);
}
.catalog__download:focus {
  background-color: var(--grey-1);
}

@media (hover: hover) {
  .catalog__download:hover {
    background-color: var(--grey-1);
  }
}
.categories {
  width: auto;
  margin: 1.5rem -0.75rem;
}
.categories__item {
  width: 4.375rem;
  border: none;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  text-align: center;
  gap: 0.75rem;
  transition: var(--transition);
  margin-left: 0.75rem;
  margin-right: 0.75rem;
  cursor: pointer;
  text-decoration: none;
  color: var(--black);
}
.categories__item img {
  background-color: var(--white);
  width: 4.375rem;
  height: 4.375rem;
  object-fit: cover;
  object-position: center;
  border-radius: 0.5rem;
    transition: .3s;
}

.categories__item img:hover{
    scale: 1.08;
}

.categories__item:focus {
  color: var(--black);
}
.categories:before, .categories:after {
  content: "";
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  width: 4.375rem;
  z-index: 2;
  background: linear-gradient(-90deg, transparent 0%, var(--grey) 100%);
}
.categories:after {
  right: 0;
  left: auto;
  background: linear-gradient(90deg, transparent 0%, var(--grey) 100%);
}
.categories.hide-fade:before, .categories.hide-fade:after {
  display: none;
}
.categories.hide-fade .categories-button {
  display: none;
}
.categories.at-start:before {
  display: none;
}
.categories.at-end:after {
  display: none;
}
.categories_no-fade:before, .categories_no-fade:after {
  display: none;
}

@media (hover: hover) {
  .categories__item:hover {
    color: var(--black);
  }
}
.categories-button {
  display: none;
  position: absolute;
  top: 2.5rem;
  z-index: 3;
  left: 0.875rem;
}
.categories-button_next {
  left: auto;
  right: 0.875rem;
}
.categories-button.swiper-button-disabled {
  display: none;
}

.catalog-panel {
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 0.75rem;
  margin: 1.5rem 0;
  flex-flow: row wrap;
}

.open-filter {
  border: none;
  background-color: var(--white);
  width: 8.75rem;
  height: 2.5rem;
  border-radius: 0.75rem;
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 0.625rem;
  transition: var(--transition);
  padding: 0;
  color: var(--black);
}
.open-filter:focus {
  background-color: var(--grey-1);
}

@media (hover: hover) {
  .open-filter:hover {
    background-color: var(--grey-1);
  }
}
.selected-filters {
  width: 100%;
  order: 3;
  margin-left: -0.5rem;
  margin-right: -0.5rem;
}
.selected-filters__item {
  white-space: nowrap;
  width: auto;
  border: none;
  background-color: var(--white);
  height: 2.5rem;
  border-radius: 0.75rem;
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 0.625rem;
  transition: var(--transition);
  padding: 0 0.625rem 0 1rem;
  margin-left: 0.5rem;
  margin-right: 0.5rem;
  cursor: pointer;
}
.selected-filters__item:focus {
  background-color: var(--grey-1);
}
.selected-filters:before, .selected-filters:after {
  content: "";
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  width: 1.875rem;
  z-index: 2;
  background: linear-gradient(-90deg, transparent, var(--grey) 100%);
}
.selected-filters:after {
  right: 0;
  left: auto;
  background: linear-gradient(90deg, transparent, var(--grey) 100%);
}
.selected-filters.hide-fade:before, .selected-filters.hide-fade:after {
  display: none;
}
.selected-filters.at-start:before {
  display: none;
}
.selected-filters.at-end:after {
  display: none;
}

@media (hover: hover) {
  .selected-filters__item:hover {
    background-color: var(--grey-1);
  }
}
.subcategories {
  display: flex;
  flex-flow: row wrap;
  align-items: center;
  gap: 1rem;
  margin: 1.5rem 0;
}
.subcategories__item {
  background-color: var(--white);
  border: none;
  border-radius: 0.75rem;
  padding: 0.5rem 1rem;
  color: var(--black);
  text-decoration: none;
  transition: var(--transition);
  white-space: nowrap;
}
.subcategories__item_active {
  background-color: var(--grey-1);
}
.subcategories__item:focus {
  background-color: var(--grey-1);
}

@media (hover: hover) {
  .subcategories__item:hover {
    background-color: var(--grey-1);
  }
}
.not-found {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  margin-bottom: 3rem;
}
.not-found__title {
  margin: 0 0 0.75rem 0;
}
.not-found__title span {
  color: var(--primary);
}
.not-found__description {
  color: var(--grey-2);
  margin: 0;
}
.not-found__button {
  margin-top: 2.75rem;
}

.catalog-grid {
  display: grid;
  grid-template-columns: 1fr;
  gap: 0.75rem;
  margin-bottom: 1.5rem;
}
.catalog-grid__block {
  display: grid;
  grid-template-columns: 1fr;
  gap: 0.75rem;
}

.grid-item {
  border-radius: 0.75rem;
  overflow: hidden;
  position: relative;
  transition: var(--transition);
}
.grid-item:not(.grid-item_block) {
  max-height: 11.25rem;
}
.grid-item__title {
  position: absolute;
  bottom: 1rem;
  left: 1rem;
  z-index: 1;
  border-radius: 0.375rem;
  background-color: var(--white);
  padding: 0.25rem 0.75rem;
  font-size: 0.75rem;
  line-height: 150%;
  text-decoration: none;
  color: var(--black);
  max-width: calc(100% - 2rem);
}
.grid-item__image {
  width: 100%;
  height: 100%;
  object-fit: cover;
  object-position: center;
}
.grid-item:focus {
  box-shadow: 0 0 1.25rem 0 var(--shadow-color);
}

@media (hover: hover) {
  a.grid-item:hover {
    box-shadow: 0 0 1.25rem 0 var(--shadow-color);
  }
}
@media (min-width: 31.25rem) {
  .catalog-grid {
    grid-template-columns: repeat(2, 1fr);
  }
  .catalog-grid .grid-item:not(.grid-item_block):last-child {
    grid-column: 1/3;
  }
  .catalog-grid__block {
    grid-column: 1/3;
    grid-row: 1/4;
    grid-template-columns: repeat(2, 1fr);
  }
  .catalog-grid__block .grid-item:first-child {
    grid-row: 1/3;
  }
}
@media (min-width: 48rem) {
  .catalog__title {
    font-size: 1.25rem;
  }
  .categories {
    margin: 1.5rem -0.875rem;
  }
  .categories__item {
    width: 6.25rem;
    margin-left: 0.875rem;
    margin-right: 0.875rem;
  }
  .categories__item img {
    width: 6.25rem;
    height: 6.25rem;
    border-radius: 0.75rem;
  }
  .categories-button {
    display: flex;
  }
  .catalog-panel {
    flex-flow: row nowrap;
    gap: 0.5rem;
  }
  .selected-filters {
    width: calc(100% - 16.875rem);
    order: initial;
    margin-left: 0;
    margin-right: 0;
  }
  .not-found {
    margin-top: 3rem;
  }
  .catalog-grid {
    grid-template-columns: repeat(3, 1fr);
  }
  .catalog-grid .grid-item:not(.grid-item_block):last-child {
    grid-column: 2/4;
  }
  .catalog-grid .grid-item:not(.grid-item_block):nth-child(2) {
    grid-column: 1/3;
  }
  .catalog-grid__block {
    grid-column: 1/4;
  }
}
@media (min-width: 64rem) {
  .catalog-grid {
    grid-template-columns: repeat(4, 1fr);
  }
  .catalog-grid .grid-item:not(.grid-item_block):last-child {
    grid-column: auto;
  }
  .catalog-grid .grid-item:not(.grid-item_block):nth-child(2) {
    grid-column: auto;
  }
  .catalog-grid__block {
    grid-column: 1/4;
  }
}
